#
# spec file for package perl-MooseX-Types-Perl
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name MooseX-Types-Perl
Name:           perl-MooseX-Types-Perl
Version:        0.101344
Release:        bp156.2.1
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Moose types that check against Perl syntax
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.78
BuildRequires:  perl(MooseX::Types)
BuildRequires:  perl(MooseX::Types::Moose)
BuildRequires:  perl(Params::Util)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(version) >= 0.82
Requires:       perl(MooseX::Types)
Requires:       perl(MooseX::Types::Moose)
Requires:       perl(Params::Util)
Requires:       perl(version) >= 0.82
%{perl_requires}

%description
This library provides Moose types for checking things (mostly strings)
against syntax that is, or is a reasonable subset of, Perl syntax.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Mon Jan  2 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.101344
  see /usr/share/doc/packages/perl-MooseX-Types-Perl/Changes
  0.101344  2022-12-31 21:34:32-05:00 America/New_York
  - update packaging and metadata
  - minimum required Perl is now v5.12
* Mon Mar 10 2014 coolo@suse.com
- updated to 0.101343
  documentation patch for Identifiers
* Sun Oct  6 2013 coolo@suse.com
- updated to 0.101342
  update bugtracker and repo
* Fri Feb 17 2012 coolo@suse.com
- updated to 0.101341
  * forbid non-ASCII in pkg, dist, module
* Mon Jan 17 2011 coolo@novell.com
- initial package 0.101340
  * created by cpanspec 1.78.03
